Skip to main content
GET
/
loans
List Loans
curl --request GET \
  --url https://los.universal.rollout.com/api/loans
{
  "_metadata": {
    "collection": "<string>",
    "offset": 123,
    "limit": 123,
    "total": 123,
    "next": "<string>",
    "nextLink": "<string>"
  },
  "loans": [
    {
      "id": "<string>",
      "interestRate": 123,
      "amount": 123,
      "term": 123,
      "loanToValue": 123,
      "type": "<string>",
      "purpose": "<string>",
      "status": "<string>",
      "statusDate": "<string>",
      "applicationDate": "<string>",
      "closingDate": "<string>",
      "fundingDate": "<string>",
      "rateAndTerms": {
        "monthlyPayment": 123,
        "escrowIncluded": true,
        "pmiRequired": true,
        "pmiRate": 123
      },
      "originalIds": {},
      "original": {},
      "created": "<string>",
      "updated": "<string>",
      "userParticipantIds": [
        "<string>"
      ],
      "borrowerParticipantIds": [
        "<string>"
      ],
      "stage": "<string>",
      "stageHistory": [
        {
          "id": "<string>",
          "name": "<string>",
          "status": "<string>",
          "scheduledStartDate": "2023-11-07T05:31:56Z",
          "actualStartDate": "2023-11-07T05:31:56Z",
          "completedDate": "2023-11-07T05:31:56Z",
          "plannedDurationDays": 123,
          "actualDurationDays": 123,
          "requiresReview": true,
          "isReviewed": true,
          "order": 123,
          "isRequired": true,
          "notes": "<string>",
          "metadata": null
        }
      ],
      "rolloutUpdated": "<string>"
    }
  ]
}

Query Parameters

next
string
offset
default:0
limit
number

Response

OK

_metadata
object
required
loans
object[]
required